<ion-header>
  <ion-toolbar>
    <ion-title strong="true">Student List<br /></ion-title>
    <ion-buttons slot="end">
      <ion-button (click)="closeModal()" color="light">
        Close
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-item style="padding-top: 20px; line-height: 20px;"
    >{{'Course Name: ' + SelectedCourse.Course_Name}}<br />
    {{'Course Code: ' + SelectedCourse.Code}}<br />
    {{'Section: ' + SelectedCourse.Section}}<br />
  </ion-item>
  <!-- <ion-list> -->
  <ion-item style="width: 100%;">
    
    <ion-grid >
      <ion-row style="text-align: center;">
       <ion-col size="2" >No.</ion-col>
        <ion-col size="5">Student</ion-col>
        <ion-col size="2">Total</ion-col>
        <ion-col size="3">Actions</ion-col>
      </ion-row>
      <ion-row *ngFor="let student of Student,let i = index" style="text-align: center;">
        <ion-col size="2">{{i+1}}.</ion-col>
        <ion-col size="5">{{student.StudentId.name}}<br><div style="color: darkred;">{{student.StudentId.matric}}</div></ion-col>
        <ion-col size="2">
        <div>
          <ion-button fill="clear" (click)="detail(student.MarkId)">{{total_mark[i]}}</ion-button></div>
        </ion-col>
        <ion-col size="3">
          <ion-button
            *ngIf=" student.MarkId.Quiz == 0 && student.MarkId.Assignment== 0 && student.MarkId.MidTerm== 0 && student.MarkId.Project== 0 && student.MarkId.Presentation== 0 && student.MarkId.Final== 0; else update"
            style="--background: rgb(138, 55, 30);"
            side="end"
            (click)="update_mark(student.MarkId)"
            >Add
          </ion-button>
          <ng-template #update>
          <ion-button
            
            style="--background: rgb(138, 55, 30);"
            side="end"
            (click)="update_mark(student.MarkId)"
            >Update
          </ion-button>
        </ng-template>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-item>

</ion-content>
